For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Log inBook a demo
GuidesAPI Reference
GuidesAPI Reference
  • API Reference
      • GETList Bulk Syncs
      • POSTCreate Bulk Sync
      • GETGet Bulk Sync
      • PUTUpdate Bulk Sync
      • DELDelete Bulk Sync
      • POSTActivate Bulk Sync
      • POSTCancel Bulk Sync
      • POSTStart Bulk Sync Execution
      • GETGet Bulk Sync Status
      • GETGet Bulk Source
      • GETGet Bulk Destination
        • GETList Bulk Sync Execution Status
        • GETList Bulk Sync Executions
        • GETGet Bulk Sync Execution
        • POSTCancel Bulk Sync Execution
        • GETGet Bulk Execution Console Logs
        • GETGet Bulk Sync Execution Logs
        • POSTExport Sync Logs
        • GETGet Bulk Schema Execution Console Logs
Logo
Log inBook a demo
API ReferenceBulk SyncExecutions

Get Bulk Sync Execution

GET
https://app.polytomic.com/api/bulk/syncs/:id/executions/:exec_id
GET
/api/bulk/syncs/:id/executions/:exec_id
$curl https://app.polytomic.com/api/bulk/syncs/248df4b7-aa70-47b8-a036-33ac447e668d/executions/248df4b7-aa70-47b8-a036-33ac447e668d \
> -H "Authorization: Bearer <token>"
1{
2 "data": {
3 "completed_at": "2023-04-25T12:00:00Z",
4 "created_at": "2023-04-25T12:00:00Z",
5 "error_count": 0,
6 "fetch_mode": "none",
7 "id": "248df4b7-aa70-47b8-a036-33ac447e668d",
8 "is_partial": false,
9 "is_resync": false,
10 "is_test": false,
11 "output_disposition": "retain",
12 "record_count": 1000,
13 "schemas": [
14 {
15 "completed_at": "2023-04-25T12:00:00Z",
16 "created_at": "2023-04-25T12:00:00Z",
17 "error_count": 0,
18 "output_name": "contact",
19 "record_count": 1000,
20 "schema": "contact",
21 "started_at": "2023-04-25T12:00:00Z",
22 "status": "created",
23 "status_message": "string",
24 "updated_at": "2023-04-25T12:00:00Z",
25 "warning_count": 0
26 }
27 ],
28 "started_at": "2023-04-25T12:00:00Z",
29 "status": "created",
30 "status_message": "string",
31 "type": "scheduled",
32 "updated_at": "2023-04-25T12:00:00Z",
33 "warning_count": 0
34 }
35}

Returns a single bulk sync execution, including per-schema execution status.

The response includes a breakdown of each schema (table or object) that participated in the execution, with its individual status, row counts, and any error details. This makes it suitable for diagnosing partial failures where some schemas succeeded while others did not.

Was this page helpful?
Previous

Cancel Bulk Sync Execution

Next

Authentication

AuthorizationBearer
Bearer user API key
OR
AuthorizationBasic

Basic organization-scoped API key

Path parameters

idstringRequiredformat: "uuid"
Unique identifier of the bulk sync.
exec_idstringRequiredformat: "uuid"
Unique identifier of the execution.

Headers

X-Polytomic-VersionstringOptional

Response

OK
dataobject

Errors

404
Not Found Error